Skip to content

List analyzer-backed AI suggestions

GET
/projects/{id}/ai-suggestions
curl --request GET \
--url 'https://example.com/api/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ai-suggestions?limit=50&status=pending' \
--header 'Authorization: Bearer <token>'

Returns analyzer-backed suggestions and executed auto-closes from ai_suggestions.

id
required
string format: uuid

Project UUID

limit
integer
default: 50 <= 200
status
string
Allowed values: pending processing executed declined expired skipped

Suggestion list

Media type application/json
object
total
required

Number of suggestions in this response (not a grand total; capped by limit).

integer
suggestions
required
Array<object>
object
id
required
string format: uuid
run_id
required
string format: uuid
ticket_id
required
string format: uuid
ticket_title
required
string | null
ticket_number
required
integer | null
suggestion_type
required
string
Allowed values: auto_close close_suggestion
confidence
required
number | null
evidence
required

Arbitrary JSON evidence payload

object
suggested_action
required
string | null
status
required
string
Allowed values: pending processing executed declined expired skipped
source
string | null
merge_sha
string | null
pr_number
integer | null
repo
string | null
created_at
string format: date-time

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean

Forbidden

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number